{% extends 'base.html.twig' %}

{% trans_default_domain 'Map' %}

{% block title %}{{ 'ranks.header' | trans }}{% endblock %}

{% block content %}
    <div class="ranks">
        <h1 class="imgstandard">{{ 'ranks.title' | trans({'%worldName%': worldName}) }}</h1>

        <div class="tableleft"></div>
        <div class="tableright"></div>
        <div class="tablebghack">
            <table class="tablekingdom">
                <tbody>
                    <tr class="title">
                        <th>{{ 'ranks.table.rank' | trans }}</th>
                        <th>
                            <a href="{{ app.request.pathInfo }}?sort=title"><span>{{ 'ranks.table.title' | trans }}</span></a>
                        </th>
                        <th>
                            <a href="{{ app.request.pathInfo }}?sort=glory">
                                <img src="{{ asset('img/icons/l_up.png') }}"> <span>{{ 'ranks.table.glory' | trans }}</span>
                            </a>
                        </th>
                        <th>
                            <a href="{{ app.request.pathInfo }}?sort=reput">
                                <img src="{{ asset('img/icons/l_rep.png') }}"> <span>{{ 'ranks.table.reputation' | trans }}</span>
                            </a>
                        </th>
                        <th>
                            <a href="{{ app.request.pathInfo }}?sort=trade">
                                <img src="{{ asset('img/icons/l_tax.png') }}"> <span>{{ 'ranks.table.trade' | trans }}</span>
                            </a>
                        </th>
                        <th>
                            <a href="{{ app.request.pathInfo }}?sort=age">
                                <img src="{{ asset('img/icons/l_hp.png') }}"> <span>{{ 'ranks.table.age' | trans }}</span>
                            </a>
                        </th>
                    </tr>

                    {% set startIndex = (currentPage - 1) * pageSize %}
                    {% for lord in lords %}
                        <tr class="important">
                            <td>{{ startIndex + loop.index }}</td>
                            {# Should be /user and not management since we're not always in game. Management is only while in game #}
                            <td><a href="/user/{{ lord.user.id }}">{{ ('lord.titles.'~ lord.title.value) | trans([], "Common") }} {{ lord.name }}</a></td>
                            <td>
                                <strong>{{ lord.glory }}</strong> <img src="{{ asset('img/icons/l_up.png') }}">
                            </td>
                            <td>
                                <strong>{{ lord.reputation }}</strong> <img src="{{ asset('img/icons/l_rep.png') }}">
                            </td>
                            <td>
                                <strong>{{ lord.trade }}</strong> <img src="{{ asset('img/icons/small/res_gold.gif') }}">
                            </td>
                            <td>
                                {{ 'lord.age' | trans({'%years%': lord.ageYear, '%months%': lord.ageMonth|round(0, 'floor') }, "Common") }}
                            </td>
                        </tr>
                    {% else %}
                        <tr>
                            <td colspan="6">{{ 'ranks.noPlayers' | trans }}</td>
                        </tr>
                    {% endfor %}

                    <tr class="lastr">
                        <td colspan="6"></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <div class="pagination">
        {% if currentPage > 1 %}
            <div class="back">
                <a href="{{ path('app_map_ranks', {'worldId': 1, 'page' : currentPage - 1} ) }}">
                    <img src="{{ asset('img/back.gif') }}" alt="">
                </a>
            </div>
        {% endif %}
        <div class="pages"> {{ 'ranks.page' | trans }} {{ currentPage }} / {{ totalPage }} </div>
        {% if currentPage < totalPage %}
            <div class="next">
                <a href="{{ path('app_map_ranks', {'worldId': 1, 'page' : currentPage + 1} ) }}">
                    <img src="{{ asset('img/next.gif') }}" alt="">
                </a>
            </div>
        {% endif %}
    </div>

    <div class="clear"></div>
</div>
{% endblock %}